<?php

include_once(WPSITE_POPUP_PLUGIN_DIR . '/admin/model/db.php');
include_once(WPSITE_POPUP_PLUGIN_DIR . '/admin/functions.php');

// Get all the optin data

$nnrobots_popup_fire_db = new WPsite_Popup_DB();
$popups = $nnrobots_popup_fire_db->get_popups();

$valid_popups = array();

foreach ( $popups as $popup ) {

	if (isset($popup['template']) && !is_array($popup['template'])) $popup['template'] = (array) WPsite_Popups_Admin_Functions::mb_unserialize($popup['template']);
	if (isset($popup['style']) && !is_array($popup['style'])) $popup['style'] = (array) unserialize($popup['style']);
	if (isset($popup['trigger']) && !is_array($popup['trigger'])) $popup['trigger'] = (array) unserialize($popup['trigger']);
	if (isset($popup['social']) && !is_array($popup['social'])) $popup['social'] = (array) unserialize($popup['social']);
	if (isset($popup['news_letter']) && !is_array($popup['news_letter'])) $popup['news_letter'] = (array) unserialize($popup['news_letter']);
	if (isset($popup['args']) && !is_array($popup['args'])) $popup['args'] = (array) WPsite_Popups_Admin_Functions::mb_unserialize($popup['args']);

	$valid_popups[] = $popup;

}

$export_data = array(
	'from-plugin'	=> 'popup-fire',
	'data'			=> $valid_popups,
);

// Import the Data

if ( isset($_POST['submit']) && check_admin_referer(self::$prefix . 'import_export') ) {

	$import_data = json_decode(stripcslashes($_POST[self::$prefix_dash . 'import-data']), true);

	if ( isset($import_data) ) {

		include_once(WPSITE_POPUP_PLUGIN_DIR . '/admin/functions.php');

		foreach ( $import_data['data'] as $data ) {

			// Assign Default Values to all non-matching values

			$data = array_merge( WPsite_Popups_Admin_Functions::default_popup(), $data );

			$popup_fire_id = $nnrobots_popup_fire_db->add_data($data);
		}

		// Show a message

		?>
		<script type="text/javascript">
			window.location = "<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$import_export_page; ?>&status=success&import_message=<?php echo urlencode(__(count($import_data['data']) . ' Optins have been imported successfully.', self::$text_domain)); ?>";
		</script>
		<?php

	}

}

// Show the good stuff

require(WPSITE_POPUP_PLUGIN_DIR . '/admin/views/import-export.php');